Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.svc
Class Services

    java.lang.Object
      org.jbpm.svc.Services

All Implemented Interfaces:
  java.io.Serializable

    public class Services

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SERVICENAME_ADDRESSRESOLVER`
`static java.lang.String` | `SERVICENAME_AUTHENTICATION`
`static java.lang.String` | `SERVICENAME_AUTHORIZATION`
`static java.lang.String` | `SERVICENAME_JCR`
`static java.lang.String` | `SERVICENAME_LOGGING`
`static java.lang.String` | `SERVICENAME_MESSAGE`
`static java.lang.String` | `SERVICENAME_PERSISTENCE`
`static java.lang.String` | `SERVICENAME_SCHEDULER`
`static java.lang.String` | `SERVICENAME_TX`

Constructor Summary
`Services(java.util.Map serviceFactories)`
`Services(java.util.Map serviceFactories, java.util.List serviceNames, java.util.List saveOperations)`

Method Summary
`static void` | `assignId(java.lang.Object object)`
`void` | `close()`
`AuthenticationService` | `getAuthenticationService()`
`AuthorizationService` | `getAuthorizationService()`
`static Service` | `getCurrentService(java.lang.String name)`
`static Service` | `getCurrentService(java.lang.String name, boolean isRequired)`
`LoggingService` | `getLoggingService()`
`MessageService` | `getMessageService()`
`PersistenceService` | `getPersistenceService()`
`SchedulerService` | `getSchedulerService()`
`Service` | `getService(java.lang.String name)`
`java.util.Map` | `getServiceFactories()`
`ServiceFactory` | `getServiceFactory(java.lang.String name)`
`TxService` | `getTxService()`
`boolean` | `hasService(java.lang.String name)`
`void` | `save(ProcessInstance processInstance, JbpmContext jbpmContext)`
`void` | `setAuthenticationService(AuthenticationService authenticationService)`
`void` | `setAuthorizationService(AuthorizationService authorizationService)`
`void` | `setLoggingService(LoggingService loggingService)`
`void` | `setMessageService(MessageService messageService)`
`void` | `setPersistenceService(PersistenceService persistenceService)`
`void` | `setSaveOperations(java.util.List saveOperations)`
`void` | `setSchedulerService(SchedulerService schedulerService)`
`void` | `setTxService(TxService txService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICENAME_AUTHENTICATION

    public static final java.lang.String SERVICENAME_AUTHENTICATION

See Also:
  Constant Field Values

### SERVICENAME_AUTHORIZATION

    public static final java.lang.String SERVICENAME_AUTHORIZATION

See Also:
  Constant Field Values

### SERVICENAME_TX

    public static final java.lang.String SERVICENAME_TX

See Also:
  Constant Field Values

### SERVICENAME_LOGGING

    public static final java.lang.String SERVICENAME_LOGGING

See Also:
  Constant Field Values

### SERVICENAME_MESSAGE

    public static final java.lang.String SERVICENAME_MESSAGE

See Also:
  Constant Field Values

### SERVICENAME_PERSISTENCE

    public static final java.lang.String SERVICENAME_PERSISTENCE

See Also:
  Constant Field Values

### SERVICENAME_SCHEDULER

    public static final java.lang.String SERVICENAME_SCHEDULER

See Also:
  Constant Field Values

### SERVICENAME_JCR

    public static final java.lang.String SERVICENAME_JCR

See Also:
  Constant Field Values

### SERVICENAME_ADDRESSRESOLVER

    public static final java.lang.String SERVICENAME_ADDRESSRESOLVER

See Also:
  Constant Field Values

Constructor Detail

### Services

    public Services(java.util.Map serviceFactories)

### Services

    public Services(java.util.Map serviceFactories,
                    java.util.List serviceNames,
                    java.util.List saveOperations)

Method Detail

### getCurrentService

    public static Service getCurrentService(java.lang.String name)

### getCurrentService

    public static Service getCurrentService(java.lang.String name,
                                            boolean isRequired)

### setSaveOperations

    public void setSaveOperations(java.util.List saveOperations)

### getServiceFactories

    public java.util.Map getServiceFactories()

### getServiceFactory

    public ServiceFactory getServiceFactory(java.lang.String name)

### hasService

    public boolean hasService(java.lang.String name)

### getService

    public Service getService(java.lang.String name)

### save

    public void save(ProcessInstance processInstance,
                     JbpmContext jbpmContext)

### getAuthenticationService

    public AuthenticationService getAuthenticationService()

### getAuthorizationService

    public AuthorizationService getAuthorizationService()

### getLoggingService

    public LoggingService getLoggingService()

### getMessageService

    public MessageService getMessageService()

### getPersistenceService

    public PersistenceService getPersistenceService()

### getSchedulerService

    public SchedulerService getSchedulerService()

### getTxService

    public TxService getTxService()

### setAuthenticationService

    public void setAuthenticationService(AuthenticationService authenticationService)

### setAuthorizationService

    public void setAuthorizationService(AuthorizationService authorizationService)

### setLoggingService

    public void setLoggingService(LoggingService loggingService)

### setMessageService

    public void setMessageService(MessageService messageService)

### setPersistenceService

    public void setPersistenceService(PersistenceService persistenceService)

### setSchedulerService

    public void setSchedulerService(SchedulerService schedulerService)

### setTxService

    public void setTxService(TxService txService)

### close

    public void close()

### assignId

    public static void assignId(java.lang.Object object)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD